Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.model
[Java] Class DefaultTableColumn

    java.lang.Object
      javax.swing.table.TableColumn
          groovy.model.DefaultTableColumn

    public class DefaultTableColumn
    extends TableColumn

Represents a column using a ValueModel to extract the value.

Authors:
  James Strachan

Version:
  \$Revision: 12913 \$

Field Summary

Fields inherited from class TableColumn
COLUMN_WIDTH_PROPERTY, HEADER_VALUE_PROPERTY, HEADER_RENDERER_PROPERTY, CELL_RENDERER_PROPERTY

Constructor Summary
`DefaultTableColumn(ValueModel valueModel)`
`DefaultTableColumn(Object header, ValueModel valueModel)`
`DefaultTableColumn(Object headerValue, Object identifier, ValueModel columnValueModel)`

Method Summary
`Class` | `getType()` @return the column type
`Object` | `getValue(Object row, int rowIndex, int columnIndex)` Evaluates the value of a cell
`ValueModel` | `getValueModel()`
`void` | `setValue(Object row, Object value, int rowIndex, int columnIndex)`
`String` | `toString()`

Methods inherited from class TableColumn
getIdentifier, addPropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getWidth, getCellRenderer, setCellRenderer, getCellEditor, getHeaderRenderer, getHeaderValue, getModelIndex, setCellEditor, setHeaderValue, setPreferredWidth, setWidth, setResizable, disableResizedPosting, enableResizedPosting, getMaxWidth, getMinWidth, getPreferredWidth, getResizable, setHeaderRenderer, setIdentifier, setMaxWidth, setMinWidth, setModelIndex, sizeWidthToFit, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### DefaultTableColumn

    public DefaultTableColumn(ValueModel valueModel)

### DefaultTableColumn

    public DefaultTableColumn(Object header, ValueModel valueModel)

### DefaultTableColumn

    public DefaultTableColumn(Object headerValue, Object identifier, ValueModel columnValueModel)

Method Detail

### getType

    public Class getType()

  Returns:
    the column type

### getValue

    public Object getValue(Object row, int rowIndex, int columnIndex)

  Evaluates the value of a cell
  Parameters:
    `row` - the row of interest
    `rowIndex` - the index of the row of interest
    `columnIndex` - the column of interest
  Returns:
    the value

### getValueModel

    public ValueModel getValueModel()

### setValue

    public void setValue(Object row, Object value, int rowIndex, int columnIndex)

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.